Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(832)

Issue 2093523002: fix #25573, add option to disable implicit dynamic (Closed)

Created:
3 years, 7 months ago by Jennifer Messerly
Modified:
3 years, 7 months ago
Reviewers:
Leaf, Bob Nystrom
CC:
reviews_dartlang.org, Bob Nystrom
Base URL:
git@github.com:dart-lang/sdk.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 20

Patch Set 2 : remove function expression return check #

Patch Set 3 : Merge remote-tracking branch 'origin/master' into no_implicit_dynamic #

Unified diffs Side-by-side diffs Delta from patch set Stats (+518 lines, -14 lines) Patch
M pkg/analyzer/lib/src/context/context.dart View 1 2 2 chunks +4 lines, -0 lines 0 comments Download
M pkg/analyzer/lib/src/dart/element/type.dart View 1 chunk +33 lines, -0 lines 0 comments Download
M pkg/analyzer/lib/src/generated/engine.dart View 1 2 2 chunks +13 lines, -0 lines 0 comments Download
M pkg/analyzer/lib/src/generated/error.dart View 1 2 3 chunks +78 lines, -0 lines 0 comments Download
M pkg/analyzer/lib/src/generated/error_verifier.dart View 1 16 chunks +156 lines, -3 lines 0 comments Download
M pkg/analyzer/test/src/task/strong/checker_test.dart View 1 2 3 chunks +232 lines, -10 lines 0 comments Download
M pkg/analyzer/test/src/task/strong/strong_test_helper.dart View 2 chunks +2 lines, -1 line 0 comments Download

Messages

Total messages: 9 (3 generated)
Jennifer Messerly
Hi Leaf, I wanted to get your opinion on the design of this. Definitely take ...
3 years, 7 months ago (2016-06-22 23:58:06 UTC) #2
Bob Nystrom
I just went through the tests but there's my thoughts. https://codereview.chromium.org/2093523002/diff/1/pkg/analyzer/test/src/task/strong/checker_test.dart File pkg/analyzer/test/src/task/strong/checker_test.dart (right): https://codereview.chromium.org/2093523002/diff/1/pkg/analyzer/test/src/task/strong/checker_test.dart#newcode1924 ...
3 years, 7 months ago (2016-06-23 23:25:53 UTC) #4
Jennifer Messerly
Thanks Bob for taking a look. I'll do some more investigation on feasibility. https://codereview.chromium.org/2093523002/diff/1/pkg/analyzer/test/src/task/strong/checker_test.dart File ...
3 years, 7 months ago (2016-06-24 01:15:56 UTC) #5
Leaf
Per conversation offline, this lgtm to land as a --no-implicit-dynamic (or something similar), with a ...
3 years, 7 months ago (2016-06-24 21:40:26 UTC) #6
Jennifer Messerly
Thanks! https://codereview.chromium.org/2093523002/diff/1/pkg/analyzer/lib/src/generated/error_verifier.dart File pkg/analyzer/lib/src/generated/error_verifier.dart (right): https://codereview.chromium.org/2093523002/diff/1/pkg/analyzer/lib/src/generated/error_verifier.dart#newcode756 pkg/analyzer/lib/src/generated/error_verifier.dart:756: _checkForImplicitDynamicReturn(node, node.element); On 2016/06/24 21:40:25, Leaf wrote: > ...
3 years, 7 months ago (2016-06-27 18:38:17 UTC) #7
Jennifer Messerly
3 years, 7 months ago (2016-06-27 19:30:23 UTC) #9
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
844c82b5f3e478a52460b51550f06462607c8c74 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698